package com.gyee.runeconomy.dto.response;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class ProEconPointCodeDTO {

    private String stationname;
    private String stationcode;
    private String description;
    private BigDecimal value;


    public BigDecimal getValue() {
        return compare100(value);
    }


    private BigDecimal compare100(BigDecimal a) {

        if (null == a) {
            a = new BigDecimal(0);

        }

        if (a.compareTo(BigDecimal.ZERO) == -1) {
            a = new BigDecimal(0);
        }
        return a;

    }
}
